---

stages:
  - linting
  - test

variables:
  DOCKER_DRIVER: overlay
  GITLAB_TOKEN: ''

pyup:
  stage: linting
  image: python:3.7
  before_script:
    - echo ${PWD}/${SRC_PATH}
  script:
    - pip install pyupio
    - >
      pyup --provider gitlab --repo=${CI_PROJECT_PATH}
      --user-token=${GITLAB_TOKEN} --branch ${CI_DEFAULT_BRANCH}
  rules:
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - if: "$CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH && $PYUP_ENABLED == 'True'"
      when: always
